<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />





    <!-- Favicon ICO-->
    <link rel="icon" type="image/x-icon" href='http://localhost:8000/uploads/images/favicon.ico'>





    <!-- Stylesheet Imports -->

    <!-- Bootstrap CDN-->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

    <link rel='stylesheet' href='/static/css/totop_button.css'>

    <!-- Script Imports-->

    <!-- jQuery CDN -->
    <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>

    <!-- Popper CDN -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>

    <!-- Bootstrap CDN-->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>

    <!-- Axios CDN -->
    <script src='https://cdnjs.cloudflare.com/ajax/libs/axios/0.25.0/axios.min.js'></script>

    <!-- 
      Global Variables
      Inclues frontEndUrl, backEndUrl, user images, and product images
    -->
    <script src='/static/js/globalVariables.js'></script>


    <title>Change Password</title>
</head>






<body class="bg-light">

    <!--back to top button-->
    <button class='bg-dark text-white' onclick="topFunction()" id="myBtn" title="Go to top">Top</button>


    <header>
        <nav class="navbar navbar-expand-md navbar-light bg-light">
            <a class="navbar-brand" href="/">SPIT!</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"><span class="navbar-toggler-icon"></span></button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav mr-auto" id='menu'>
                    <li class="nav-item">
                        <a class="nav-link" href="/category">Categories</a>
                    </li>
                </ul>
                <ul class="navbar-nav" id='LoginOrProfile'></ul>
            </div>
        </nav>
    </header>
    <script src='/static/js/menu.js'></script>







    <div class="card mt-3">


        <h2 class="text-center">Change Password</h2>
        <div class="form-group">
            <input type="password" class="form-control" id="oldpassword" placeholder="Old Password" required>
        </div>
        <div class="form-group">
            <small id="passwordAuthentication" class="form-text text-muted">Password must contain at least 8 characters, 1 letter, 1 number and 1 unique character</small>
            <input type="password" class="form-control" id="password" placeholder="New Password" required>
            <div id="passwordField"></div>
        </div>
        <div class="form-group">
            <button type="submit" class="btn btn-primary btn-block" id="changepassword" aria-describedby='passwordAuthentication' onclick="changePassword()">Change Password</button>
        </div>

        <div id='responseField'></div>

        <div id='forgotPasswordHref' class='pull-right'></div>
        <!-- <button id="post">Button to PoST!</button> -->
        <script src='/static/js/changePassword.js'></script>
        <script src='/static/js/error/validationSchema.js'></script>
        <script src='/static/js/error/errorHandling.js'></script>
</body>

</html>